Bug 427250 - maxima --enable-gcl busted (x86_64)
maxima --enable-gcl busted (x86_64)
Product: Fedora
Classification: Fedora
Component: maxima (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On: 428539
  Show dependency treegraph
Reported: 2008-01-02 08:41 EST by Rex Dieter
Modified: 2009-01-20 09:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-20 09:37:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-01-02 08:41:20 EST
Atm, maxima --enable-gcl builds are busted.  ./configure fails with
configure: error: unable to run gcl executable "gcl".

Oddly, my own local mock builds are fine.  ??

See also
failed build: http://koji.fedoraproject.org/koji/buildinfo?buildID=29572
fedora-devel post:

Any ideas?
Comment 1 Rex Dieter 2008-01-02 08:42:24 EST
fwiw, only x86_64 is failing, i386, ppc seem fine.
Comment 2 Rex Dieter 2008-01-02 08:44:14 EST
nevermind about the ppc comment (no gcl there yet, per bug #167952) :)
Comment 3 Gérard Milmeister 2008-01-02 08:54:08 EST
I cannot test myself on x86_64. The last build seemed to be ok, but
the build.log is no longer available, so I cannot check it.
gcl is really a pain on anything other than i386. I do not know
what other distros do. The Debian diff is a full 13MB!
Comment 4 Rex Dieter 2008-01-02 09:20:05 EST
ok, I'll just disable x86_64/gcl for now (and reassign to maxima), until a
better solution presents itself.
Comment 5 Kevin Kofler 2008-01-02 09:45:31 EST
gcl-pers.patch is trying to set the personality on /proc/self/exe. Looking at 
the equivalent patch for sbcl, there, Rex Dieter added this:
The relevant lines:
+                    /* if /proc isn't available (like in chroot builds, like 
+                     * try using execvp with argv[0] instead */
+                    execvp(argv[0], argv);

Could this be the origin of the breakage (maybe also the one on ppc)?
Comment 6 Kevin Kofler 2008-01-02 09:47:16 EST
Especially as the comments below the use of /proc/self/exe in gcl-pers.patch 
+         /* Either changing the personality or execve() failed. Either
+          * way we might as well continue, and hope that the random
+          * memory maps are ok this time around.
+          */
This looks very much like an explanation for non-reproducible errors to me.
Comment 7 Kevin Kofler 2008-01-04 00:39:28 EST
This build failure of gcl itself also looks very much like this is the issue:
Comment 8 Bug Zapper 2008-05-14 00:16:39 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 9 Rex Dieter 2009-01-20 09:37:45 EST
* Sun Jan 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 5.17.1-3
- reenable gcl on i386 (#451801), x86_64 (#427250), ppc (#167952)

Note You need to log in before you can comment on or make changes to this bug.